package io.adjoe.cocos2dx;

import io.adjoe.sdk.Adjoe;
import io.adjoe.sdk.AdjoeParams;

public class AdjoeOptions {

    private String userId;
    private String uaNetwork;
    private String uaChannel;
    private String uaSubPublisherEncrypted;
    private String uaSubPublisherCleartext;
    private String placement;

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setUaNetwork(String uaNetwork) {
        this.uaNetwork = uaNetwork;
    }

    public void setUaChannel(String uaChannel) {
        this.uaChannel = uaChannel;
    }

    public void setUaSubPublisherEncrypted(String uaSubPublisherEncrypted) {
        this.uaSubPublisherEncrypted = uaSubPublisherEncrypted;
    }

    public void setUaSubPublisherCleartext(String uaSubPublisherCleartext) {
        this.uaSubPublisherCleartext = uaSubPublisherCleartext;
    }

    public void setPlacement(String placement) {
        this.placement = placement;
    }

    public Adjoe.Options toOptions() {
        final Adjoe.Options options = new Adjoe.Options();
        options.setUserId(userId);
        options.setParams(toParams());
        return options;
    }

    public AdjoeParams toParams() {
        final AdjoeParams.Builder builder = new AdjoeParams.Builder();
        builder.setUaNetwork(uaNetwork);
        builder.setUaChannel(uaChannel);
        builder.setUaSubPublisherEncrypted(uaSubPublisherEncrypted);
        builder.setUaSubPublisherCleartext(uaSubPublisherCleartext);
        builder.setPlacement(placement);
        return builder.build();
    }
}
